This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1005599 - Review Request: erfa - Essential Routines for Fundamental Astronomy
Review Request: erfa - Essential Routines for Fundamental Astronomy
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-08 18:22 EDT by Sergio Pascual
Modified: 2013-09-17 17:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-17 17:22:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2013-09-08 18:22:26 EDT
Spec URL: http://guaix.fis.ucm.es/~spr/erfa.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/erfa-0.0.1-1.fc19.src.rpm
Description: ERFA is a C library containing key algorithms for astronomy. It is 
based on the SOFA library published by the International Astronomical Union (IAU).
Fedora Account System Username: sergiopr
Comment 1 Christopher Meng 2013-09-08 19:02:25 EDT
- devel missing %{?_isa} tag.

- Why should we need pkgconfig when installing devel?

- devel %summary is not perfect, current one:

Headers for developing programs that will use %{name}

Ah there are not only headers...

Suggestion:

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

- You don't need to add smpflag during installation.
Comment 2 Sergio Pascual 2013-09-09 07:17:01 EDT
Updated.

For the pkgconfig thing, -devel contains erfa.pc that it's installed in %{_libdir}/pkgconfig. This directory belongs to pkgconfig. If I leave out the dependecy, %{_libdir}/pkgconfig would be unowned.

Spec URL: http://guaix.fis.ucm.es/~spr/erfa.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/erfa-0.0.1-2.fc19.src.rpm
Comment 3 Michael Schwendt 2013-09-09 08:08:30 EDT
A dependency on /usr/bin/pkg-config is added automatically for quite some time.
Comment 4 Christopher Meng 2013-09-09 08:52:47 EDT
(In reply to Michael Schwendt from comment #3)
> A dependency on /usr/bin/pkg-config is added automatically for quite some
> time.

Yes, that's what I want to say, thanks Michael.

And you still don't change the description of -devel
Comment 5 Sergio Pascual 2013-09-09 09:44:09 EDT
(In reply to Christopher Meng from comment #4)
> (In reply to Michael Schwendt from comment #3)
> > A dependency on /usr/bin/pkg-config is added automatically for quite some
> > time.
> 
> Yes, that's what I want to say, thanks Michael.
> 

I see, I have removed the Requires: pkgconfig

> And you still don't change the description of -devel

I have updated the Summary field also.

Spec URL: http://guaix.fis.ucm.es/~spr/erfa.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/erfa-0.0.1-3.fc19.src.rpm
Comment 6 Christopher Meng 2013-09-11 19:43:01 EDT
APPROVED.

No issues found.
Comment 7 Sergio Pascual 2013-09-12 06:53:36 EDT
New Package SCM Request
=======================
Package Name: erfa
Short Description: Essential Routines for Fundamental Astronomy
Owners: sergiopr
Branches: f18 f19 f20 el5 el6
InitialCC:
Comment 8 Gwyn Ciesla 2013-09-12 08:20:40 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.